メインコンテンツへスキップ
POST
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
reindex
カタログの再インデックス処理を開始します
curl --request POST \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/reindex \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "indexModelId": "<string>",
  "workflowProcessingId": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "completed": "<string>",
  "currentState": "InProgress"
}

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

catalogId
string
必須

カタログ識別子。すべてのカタログの一覧で確認できます。

レスポンス

OK

id
string<uuid>

操作の一意のID

indexModelId
string | null

ドキュメントの分析に使用されるインデックス モデルの ID

workflowProcessingId
string | null

処理ワークフローの ID

created
string<date-time>

操作の作成時刻

completed
string | null

処理が完了した時刻

currentState
enum<string>
利用可能なオプション:
InProgress,
Failed,
Completed